aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2023-08-16 21:38:49 +0300
committerGitHub <noreply@github.com>2023-08-16 21:38:49 +0300
commitc58b614202d525b2530d0bbfc45a6a6bbc1a9569 (patch)
tree5c0047c78bc31632261257e514b82bc0f4c496c5 /test
parent1d1a23625dc714629ab863cbca7e890516d4283d (diff)
Azure-cli: Revert temporary fix which installed az with python (#629)feature_azure-cli_1.2.1
Diffstat (limited to 'test')
-rw-r--r--test/azure-cli/install_with_python.sh14
-rw-r--r--test/azure-cli/scenarios.json10
2 files changed, 24 insertions, 0 deletions
diff --git a/test/azure-cli/install_with_python.sh b/test/azure-cli/install_with_python.sh
new file mode 100644
index 0000000..4848ac5
--- /dev/null
+++ b/test/azure-cli/install_with_python.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Check to make sure the user is vscode
+check "user is vscode" whoami | grep vscode
+check "version" az --version
+
+
+# Report result
+reportResults \ No newline at end of file
diff --git a/test/azure-cli/scenarios.json b/test/azure-cli/scenarios.json
index 2313452..b7a7323 100644
--- a/test/azure-cli/scenarios.json
+++ b/test/azure-cli/scenarios.json
@@ -28,5 +28,15 @@
"installBicep": true
}
}
+ },
+ "install_with_python": {
+ "image": "mcr.microsoft.com/devcontainers/base:jammy",
+ "user": "vscode",
+ "features": {
+ "azure-cli": {
+ "version": "latest",
+ "installUsingPython": true
+ }
+ }
}
} \ No newline at end of file